<?php
include_once("c_debug_info.php");
include_once(_DIR_TO_MODULES.'/engine/i_disk.php') ;
class c_page_cab_debug_info_clss extends c_page_cab_debug_info
{
  public $h1='Классы' ;


  function block_main()
  { $this->page_title() ;
    $this->panel_info() ;
  }

    function panel_info()
   {  ?><button class="v1" cmd="create_class_model">Создать модель классов</button><?
        ?><h2>Информация по классам</h2><?

       $arr_desc_clss = SETUP()->load_ini_setting('/ini/clss.yaml') ;

       ?><table class="basic fz_small  auto"><th>ID класса</th><th>Название класса</th><th>Родительский класс</th><?
       foreach($arr_desc_clss as $clss=>$rec_clss)
       { ?><tr>
             <td class="left"><?echo $clss?></td>
             <td class="left"><?echo $rec_clss['name']?></td>
             <td class="left"><?echo $arr_desc_clss[$rec_clss['parent']]['name'].' ['.$rec_clss['parent'].']'?></td>
          </tr><?
        }
    }

    function CMD_create_class_model()
    {
      create_class_model(2) ;
	}


}



?>